<template>
    <div class="bg-white shadow-sm p-4" :class="{'clickable':clickable}"  v-on:click="$emit('item-clicked')">
        <div class="d-flex justify-content-between align-items-center">
            <small>{{story.ad}}</small>
            <div>level: {{story.level}}</div>
        </div>
        <h4>{{story.title}}</h4>
        <small v-if="showDescription" class="">{{story.description}}</small>
    </div>
</template>

<script>
    export default {
        name: "storyItem",
        props: {
            story: {type: Object, required: true},
            showDescription: {type: Boolean, default: true},
            clickable: {type: Boolean, default: true}
        }
    }
</script>

